Upgrade to OTRS 6 from OTRS 5.0.9 version

Moderator: crythias

Post Reply
avinashillindra
OTRS expert
Posts: 60
Joined: 31 Mar 2016, 06:13
OTRS Version?: OTRS 5 Free
Real Name: Avinash Illindra

Upgrade to OTRS 6 from OTRS 5.0.9 version

Post by avinashillindra » 17 Feb 2018, 16:59

Dear Support,

Can someone help me from my issues.
Our instance details:
OS : OEL 6.5
Current OTRS Version: 5.0.9
Upgrading Version: 6.0.4

While upgrading I am facing perl version issue. Existing version of perl is 5.10 for OTRS 6.0.4 required perl is 5.16.

And I am not able to proceed with upgrade due to perl issue.

Perl 5.16 version is not available for OEL 6.5 version.
Can you anyone suggest any workaround for this.

Thanks in advance.

Regards,
Avinash Illindra

jojo
Moderator
Posts: 14571
Joined: 26 Jan 2007, 14:50
OTRS Version?: Git Master
Contact:

Re: Upgrade to OTRS 6 from OTRS 5.0.9 version

Post by jojo » 17 Feb 2018, 17:15

Upgrade your OS (or switch to a newer server), also going to the Cloud is an option
"Production": OTRS™ 6, STORM powered by OTRS
"Testing": ((OTRS Community Edition)) git Master

Never change Defaults.pm! :: Blog
Professional Services:: http://www.otrs.com :: enjoy@otrs.com :: Share your ideas

avinashillindra
OTRS expert
Posts: 60
Joined: 31 Mar 2016, 06:13
OTRS Version?: OTRS 5 Free
Real Name: Avinash Illindra

Re: Upgrade to OTRS 6 from OTRS 5.0.9 version

Post by avinashillindra » 19 Feb 2018, 07:11

Hi Jojo,

As you suggested I have installed OEL 7.2 OS in new server and tried to install prerequisites of OTRS.

Here are also I have faced few errors, below they're:

Error: Package: otrs-5.0.9-01.noarch (/otrs-5.0.9-01.noarch)
Requires: perl(XML::LibXSLT)
Error: Package: otrs-5.0.9-01.noarch (/otrs-5.0.9-01.noarch)
Requires: perl(Template)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
[root@supportdesk ~]#

Please suggest.

Regards,
Avinash Illindra

jojo
Moderator
Posts: 14571
Joined: 26 Jan 2007, 14:50
OTRS Version?: Git Master
Contact:

Re: Upgrade to OTRS 6 from OTRS 5.0.9 version

Post by jojo » 19 Feb 2018, 07:20

Read the installation guideline in the adminn manual (doc.otrs.com)
"Production": OTRS™ 6, STORM powered by OTRS
"Testing": ((OTRS Community Edition)) git Master

Never change Defaults.pm! :: Blog
Professional Services:: http://www.otrs.com :: enjoy@otrs.com :: Share your ideas

Post Reply